package com.realnet.vpspack.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.vpspack.Entity.S_m_s;
import com.realnet.vpspack.Services.S_m_sService ;






@RequestMapping(value = "/S_m_s")
 @CrossOrigin("*") 
@RestController
public class S_m_sController {
	@Autowired
	private S_m_sService Service;

@Value("${projectPath}")
	private String projectPath;
 






	@PostMapping("/S_m_s")
		  public S_m_s Savedata(@RequestBody S_m_s data) {
		S_m_s save = Service.Savedata(data)	;





		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/S_m_s/{id}")
	public  S_m_s update(@RequestBody S_m_s data,@PathVariable Integer id ) {
		S_m_s update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/S_m_s/getall/page")
	public Page<S_m_s> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<S_m_s> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/S_m_s")
	public List<S_m_s> getdetails() {
		 List<S_m_s> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/S_m_s")
	public List<S_m_s> getallwioutsec() {
		 List<S_m_s> get = Service.getdetails();		
		return get;
}
@GetMapping("/S_m_s/{id}")
	public  S_m_s  getdetailsbyId(@PathVariable Integer id ) {
		S_m_s  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/S_m_s/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}







}